import microwaveRequest from "@/lib/request-microwave";
// 添加产品并且进行数据发布
export function addProduct(data) {
    return microwaveRequest({
        url: "/productUpload/uploadProduct",
        method: "post",
        headers: { "Content-Type": "multipart/form-data" },
        data
    });
}
// 添加订单
export function getProductList(pscId, userId, page, limit) {
    return microwaveRequest({
        url:
            "productUpload/getProductList?productSubclassId=" +
            pscId +
            "&userId=" +
            userId +
            "&page=" +
            page +
            "&limit=" +
            limit,
        method: "get"
    });
}
// 更新产品的等级与时间
export function updateProduct(data) {
    return microwaveRequest({
        url: "/productUpload/updateProductMsg",
        method: "post",
        headers: { "Content-Type": "multipart/form-data" },
        data
    });
}
// 添加订单
export function addOrder(data) {
    return microwaveRequest({
        url: "/validationOrder/addOrder",
        method: "post",
        headers: { "Content-Type": "multipart/form-data" },
        data
    });
}
